> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.codecombat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete User from Classroom

> Remove a user from the classroom.



## OpenAPI

````yaml DELETE /classrooms/{handle}/members
openapi: 3.0.1
info:
  title: CodeCombat API
  version: 0.0.1
servers:
  - url: https://codecombat.com/api
    description: default
security: []
paths:
  /classrooms/{handle}/members:
    delete:
      tags:
        - Classrooms
      summary: Delete User from Classroom
      description: Remove a user from the classroom.
      operationId: classrooms_removeMember
      parameters:
        - name: handle
          in: path
          description: The document's `_id` or `slug`.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                userId:
                  type: string
                  description: The `_id` or `slug` of the user to remove from the class.
                retMemberLimit:
                  type: number
                  format: double
                  nullable: true
                  description: >-
                    limit the return number of members for the classroom, the
                    default value is 1000
              required:
                - userId
      responses:
        '200':
          description: The classroom with the member removed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClassroomResponse'
      security:
        - BasicAuth: []
components:
  schemas:
    ClassroomResponse:
      title: ClassroomResponse
      type: object
      description: Subset of properties listed here
      properties:
        _id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        name:
          type: string
          nullable: true
        members:
          type: array
          items:
            $ref: '#/components/schemas/objectIdString'
          nullable: true
        ownerID:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        description:
          type: string
          nullable: true
        courses:
          type: array
          items:
            $ref: '#/components/schemas/ClassroomResponseCoursesItem'
          nullable: true
    objectIdString:
      title: objectIdString
      type: string
    ClassroomResponseCoursesItem:
      title: ClassroomResponseCoursesItem
      type: object
      properties:
        _id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
        levels:
          type: array
          items:
            type: object
            additionalProperties: true
          nullable: true
        enrolled:
          type: array
          items:
            $ref: '#/components/schemas/objectIdString'
          nullable: true
        instance_id:
          $ref: '#/components/schemas/objectIdString'
          nullable: true
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic

````